Множественные уязвимости в LightNEasy

Дата публикации:
25.04.2008
Всего просмотров:
1236
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LightNEasy (no database) 1.x
LightNEasy (SQLite) 1.x
Уязвимые версии: LightNEasy версии до 1.2.2 от 18.04.2008

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, получить доступ к важным данным, выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценариях index.php и LightNEasy.php и в параметрах "image" и "cache_dir" в сценарии LightNEasy/thumbsup.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "dlid" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценариях index.php и LightNEasy.php. Удаленный пользователь может с помощью специально сформированного запроса создать файлы в произвольных каталогах на системе.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценариях index.php и LightNEasy.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.lightneasy.org

Решение: Установите последнюю версию 1.2.2 от 18.04.2008 с сайта производителя.

или введите имя

CAPTCHA